Class: Aws::S3::Types::PutBucketPolicyRequest
- Inherits:
-
Struct
- Object
- Struct
- Aws::S3::Types::PutBucketPolicyRequest
- Defined in:
- gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb
Overview
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#bucket ⇒ String
The name of the bucket.
-
#checksum_algorithm ⇒ String
Indicates the algorithm used to create the checksum for the request when you use the SDK.
-
#confirm_remove_self_bucket_access ⇒ Boolean
Set this parameter to true to confirm that you want to remove your permissions to change this bucket policy in the future.
-
#content_md5 ⇒ String
The MD5 hash of the request body.
-
#expected_bucket_owner ⇒ String
The account ID of the expected bucket owner.
-
#policy ⇒ String
The bucket policy as a JSON document.
Instance Attribute Details
#bucket ⇒ String
The name of the bucket.
Directory buckets - When you use this operation with a
directory bucket, you must use path-style requests in the format
https://s3express-control.region-code.amazonaws.com/bucket-name.
Virtual-hosted-style requests aren't supported. Directory bucket
names must be unique in the chosen Zone (Availability Zone or Local
Zone). Bucket names must also follow the format
bucket-base-name--zone-id--x-s3 (for example,
DOC-EXAMPLE-BUCKET--usw2-az1--x-s3). For information about bucket
naming restrictions, see Directory bucket naming rules in the
Amazon S3 User Guide
16036 16037 16038 16039 16040 16041 16042 16043 16044 16045 |
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 16036 class PutBucketPolicyRequest < Struct.new( :bucket, :content_md5, :checksum_algorithm, :confirm_remove_self_bucket_access, :policy, :expected_bucket_owner) SENSITIVE = [] include Aws::Structure end |
#checksum_algorithm ⇒ String
Indicates the algorithm used to create the checksum for the request
when you use the SDK. This header will not provide any additional
functionality if you don't use the SDK. When you send this header,
there must be a corresponding x-amz-checksum-algorithm or
x-amz-trailer header sent. Otherwise, Amazon S3 fails the request
with the HTTP status code 400 Bad Request.
For the x-amz-checksum-algorithm header, replace algorithm
with the supported algorithm from the following list:
CRC32CRC32CCRC64NVMEMD5SHA1SHA256SHA512XXHASH3XXHASH64XXHASH128
For more information, see Checking object integrity in the Amazon S3 User Guide.
If the individual checksum value you provide through
x-amz-checksum-algorithm doesn't match the checksum algorithm
you set through x-amz-sdk-checksum-algorithm, Amazon S3 fails the
request with a BadDigest error.
CRC32 is the default checksum algorithm that's used for
performance.
16036 16037 16038 16039 16040 16041 16042 16043 16044 16045 |
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 16036 class PutBucketPolicyRequest < Struct.new( :bucket, :content_md5, :checksum_algorithm, :confirm_remove_self_bucket_access, :policy, :expected_bucket_owner) SENSITIVE = [] include Aws::Structure end |
#confirm_remove_self_bucket_access ⇒ Boolean
Set this parameter to true to confirm that you want to remove your permissions to change this bucket policy in the future.
16036 16037 16038 16039 16040 16041 16042 16043 16044 16045 |
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 16036 class PutBucketPolicyRequest < Struct.new( :bucket, :content_md5, :checksum_algorithm, :confirm_remove_self_bucket_access, :policy, :expected_bucket_owner) SENSITIVE = [] include Aws::Structure end |
#content_md5 ⇒ String
The MD5 hash of the request body.
For requests made using the Amazon Web Services Command Line Interface (CLI) or Amazon Web Services SDKs, this field is calculated automatically.
16036 16037 16038 16039 16040 16041 16042 16043 16044 16045 |
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 16036 class PutBucketPolicyRequest < Struct.new( :bucket, :content_md5, :checksum_algorithm, :confirm_remove_self_bucket_access, :policy, :expected_bucket_owner) SENSITIVE = [] include Aws::Structure end |
#expected_bucket_owner ⇒ String
The account ID of the expected bucket owner. If the account ID that
you provide does not match the actual owner of the bucket, the
request fails with the HTTP status code 403 Forbidden (access
denied).
501 Not Implemented.
16036 16037 16038 16039 16040 16041 16042 16043 16044 16045 |
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 16036 class PutBucketPolicyRequest < Struct.new( :bucket, :content_md5, :checksum_algorithm, :confirm_remove_self_bucket_access, :policy, :expected_bucket_owner) SENSITIVE = [] include Aws::Structure end |
#policy ⇒ String
The bucket policy as a JSON document.
For directory buckets, the only IAM action supported in the bucket
policy is s3express:CreateSession.
16036 16037 16038 16039 16040 16041 16042 16043 16044 16045 |
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 16036 class PutBucketPolicyRequest < Struct.new( :bucket, :content_md5, :checksum_algorithm, :confirm_remove_self_bucket_access, :policy, :expected_bucket_owner) SENSITIVE = [] include Aws::Structure end |